/*
** MiniTelnet.cp
**
**	MiniTelnet application
**	Main application entry
**
**	Copyright  1993, FrostByte Design / Eric Scouten
**
*/

 
#if __option(profile)
	#include <profile.h>
	#include <stdio.h>
#endif

#include <CArrowPopupPane.h>
#include <CDialogText.h>
#include <CIconPane.h>
#include <CPopupMenu.h>
#include <CPopupPane.h>
#include <CRadioControl.h>
#include <CRadioGroupPane.h>
#include <CStdPopupPane.h>

#include "CMiniTelnetApp.h"


/*______________________________________________________________________
**
** main ()
**
**	The big one. Set up the OOP stuff and let it go.
**
*/

void main ()

{
	CMiniTelnetApp	*theMiniTelnetApp;
	Boolean		alwaysFalse = FALSE;
	CObject		*blankObject;


	// ensure that all classes needed are available

	if (alwaysFalse) {
		member (blankObject, CArrowPopupPane);
		member (blankObject, CDialogText);
		member (blankObject, CIconPane);
		member (blankObject, CPopupMenu);
		member (blankObject, CPopupPane);
		member (blankObject, CRadioControl);
		member (blankObject, CRadioGroupPane);
		member (blankObject, CStdPopupPane);
	}


	// start the profiler (if desired)

	#if __option(profile)
		InitProfile(1000,200);
		freopen("profiler report", "w", stdout);
	#endif


	// run the program
	
	theMiniTelnetApp = new (CMiniTelnetApp);
	theMiniTelnetApp->IMiniTelnetApp();
	theMiniTelnetApp->Run();


	// exit
	
	#if __option(profile)
		_trace = _profile = 0;
		DumpProfile();
	#endif
	theMiniTelnetApp->Exit();
}
